Support » Plugin: Feed Them Social - for Twitter feed, Youtube and more » TypeError: t.replace is not a function

  • Resolved hommealone

    (@hommealone)


    We are getting a console error which seems to be related to (not sure if it’s caused by) Feed Them Social. First, here is the error notification:

    TypeError: t.replace is not a function -   jquery-3.3.1.min.js:2:12327
    
    Uncaught TypeError: t.replace is not a function
        at Function.oe.matchesSelector (jquery-3.3.1.min.js:2)
        at Object.add (jquery-3.3.1.min.js:2)
        at jquery-3.3.1.min.js:2
        at Function.each (jquery-3.3.1.min.js:2)
        at w.fn.init.each (jquery-3.3.1.min.js:2)
        at De (jquery-3.3.1.min.js:2)
        at w.fn.init.on (jquery-3.3.1.min.js:2)
        at fts-global.js?ver=1621634071:1
    

    This error goes away if I disable the Feed Them Social plugin. We are running FTS plugin version 2.9.6.1 which I think is the latest version.

    We load jquery from the official jquery CDN:
    https://code.jquery.com/jquery-3.3.1.min.js

    The site’s scripts are minified and concatenated, so you won’t see this just the same if you visit. Let me know if you’d like a guest login so that you can view the unminified site. Or any other info that would help with an answer!

    Any guess what might be causing this? Or how I can troubleshoot it?

    • This topic was modified 6 months, 2 weeks ago by hommealone.

    The page I need help with: [log in to see the link]

Viewing 4 replies - 1 through 4 (of 4 total)
  • Plugin Author slickremix

    (@slickremix)

    Thanks for all the info. I took a look and the file that has the that is the jscolor.js file in our plugin. That file should only be loading on the backend. Is that were you are getting the error, can you please tell us the steps you took to get the error too? And are you getting the same error if you just use the wordpress default jquery file?

    Spencer

    Thread Starter hommealone

    (@hommealone)

    Hi Spencer,

    Thanks for your quick reply! No, I am seeing that console error on all front-end pages of the website. I don’t do anything to get the error. Just loading any webpage in the site shows that error message in the console.

    Let me know anything else that might help us with troubleshooting. I can send you a guest login as mentioned, so you can bypass the minification. (The error shows up with or without the minification, but on public, non-logged in page views, the file names in the error notice reflect the minified and concatenated file name.) Also happy to send you a list of enabled plugins or any other info that might be helpful!

    Plugin Author slickremix

    (@slickremix)

    And are you getting the same error if you just use the wordpress default jquery file and not the jquery one you are adding?

    Please also deactivate all other plugins besides ours too and see if the error persists, if not then active each plugin one by one until the error occurs again.

    Thread Starter hommealone

    (@hommealone)

    Thanks. Your hunch was right. Updating jquery from 3.4.x to 3.6.0 cleared everything up. Much appreciated!

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘TypeError: t.replace is not a function’ is closed to new replies.